# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.1.130 -> 1.1069.1.131
#	drivers/acpi/tables.c	1.11.1.1 -> 1.11.1.2
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/10/16	bjorn.helgaas@hp.com	1.1069.1.131
# Adapt "prefer X_DSDT over DSDT" to struct changes.
# --------------------------------------------
#
diff -Nru a/drivers/acpi/tables.c b/drivers/acpi/tables.c
--- a/drivers/acpi/tables.c	Fri Oct 17 15:52:03 2003
+++ b/drivers/acpi/tables.c	Fri Oct 17 15:52:03 2003
@@ -264,7 +264,7 @@
 	if (id == ACPI_DSDT) {
 		struct fadt_descriptor_rev2 *fadt = (struct fadt_descriptor_rev2 *) *header;
 
-		if (fadt->header.revision == 3 && fadt->Xdsdt) {
+		if (fadt->revision == 3 && fadt->Xdsdt) {
 			*header = (void *) __acpi_map_table(fadt->Xdsdt,
 					sizeof(struct acpi_table_header));
 		} else if (fadt->V1_dsdt) {
